Subject: [L1vpn] Issues and concerns about Basic Mode OSPF Discovery

From: Yakov Rekhter <[email-masked]>
Date: Wed, 10 May 2006 12:46:59 -0700

Adrian,

> Here are the issues raised, in no particular order, with some commentary 
> from me. It would be good to have some discussion of these points.
> 
> 1. We need to have only one solution
> 
> I'm inclined to agree with this. It is not helpful to the industry to have 
> two solutions in the same space. However, if there are significantly 
> different applicabilities this would be a justification.
> 
> My interpretation of the discussion in Dallas was that we would not make 
> this decision at this time.
> 
> 2. The L1VPN solution should be aligned with the L2/L3VPN solutions
> 
> We need to be clear to what extent the Basic Mode discovery problem is the 
> same as / different from the L3VPN problem.
> 
> 3. The Basic Mode discovery solution must extend to the Extended Mode
> 
> 4. There are scaling concerns with using OSPF in this way.
> 
> A couple of comments on scaling.
> - It is certainly safe to assume that in the near term, the size of optical
>   networks will not come close to the current size of OSPF packet
>   networks.
> - OSPF used in this way will not need to handle external routes, and
>   this saving more than outwieghs the cost of Basic Mode discovery
> - The "per-port" nature of L1VPN connectivity means that there is
>    no multiplexing of VPNs to a CE-PE link (athough a single PE may
>    give access to multiple VPNs).
> 
> 5. This is 'naturally' an iBGP function not an IGP function
> 
> If there are more discussion points that I have dropped, please feel free to 
> raise them as well.

We've yet to see how the OSPF approach would support anything other than 
a full mesh connectivity. 

And if the OSPF approach is limited to full-mesh only, then the
OSPF spec must say so.

Yakov

_______________________________________________
L1vpn mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/l1vpn

---

From: Lou Berger <[email-masked]>
Date: Wed, 10 May 2006 16:05:42 -0400

Hi Yakov,
         I've yet to hear of a requirement for anything beyond full 
mesh for L1VPN (from potential providers of the L1VPNs).  If there is 
such a requirement, than I think we should explore such 
support.  Until then, I'm happy to state full-mesh as a specific limitation.

Lou

---

From: "Igor Bryskin" <[email-masked]>
Date: Wed, 10 May 2006 17:12:18 -0400

Hi Yakov

Please, see in line.

Regards,
Igor

----- Original Message ----- 
From: "Yakov Rekhter" <[email-masked]>
To: "Adrian Farrel" <[email-masked]>
Cc: <[email-masked]>
Sent: Wednesday, May 10, 2006 3:46 PM
Subject: [L1vpn] Issues and concerns about Basic Mode OSPF Discovery

> And if the OSPF approach is limited to full-mesh only, then the

IB>> I'd like to make a couple of points.

1. I don't believe that we need more than full-mesh connectivity for the
basic mode;
2. I disagree that the OSPF approach is limited to full-mesh. This is for
future study, but one way to control the connectivity on per L1VPN basis
using OSPF is to introduce a TE link attribute that would specify a subset
of L1VPN IDs the link is dedicated to, could be shared between or, on the
contrary, forbidden to be used by. This information could be used on PEs
while computing PE-PE segments for services that belong to various L1VPNs
and, thus, controlling the connectivity per L1VPN could be achieved.
Furthermore, such advertisements will be very useful when we start  doing
the extended mode - Per VPN Routing model, for example,  requires leaking
some information about provider links on per VPN basis. In order to
accomplish this, PEs must learn somehow which provider links belong to which
L1VPNs. This could be easily achieved by the OSPF approach, and, frankly, I
don't know how it could be done via BGP.

Igor

---

From: Yakov Rekhter <[email-masked]>
Date: Wed, 10 May 2006 14:48:30 -0700

Igor,

> Please, see in line.

see in-line...

> 1. I don't believe that we need more than full-mesh connectivity for the

With this in mind, please add to the OSPF draft what you said above.
Namely that the authors of the draft don't believe that there is a need 
for more than full-mesh.

Yakov.

---

From: "Igor Bryskin" <[email-masked]>
Date: Wed, 10 May 2006 18:05:54 -0400

Yakov,

> > 1. I don't believe that we need more than full-mesh connectivity for the

There is no intention to limit the document to the basic mode only. I would
be happy to add to the draft something like:

Controlling the connectivity on per L1VPN basis is for future study. Would
it do?

Igor